#include "slog.h"

typedef struct SLOG_recdefs_lptr_ {
    SLOG_uint32                 recdefs[ RecDefs_Ncolumn ];
    struct SLOG_recdefs_lptr_  *prev;
    struct SLOG_recdefs_lptr_  *next;
} SLOG_recdefs_lptr_t;

typedef struct {
    SLOG_uint32                 count;
    SLOG_recdefs_lptr_t        *lhead;
    SLOG_recdefs_lptr_t        *ltail;
} SLOG_recdefs_blist_t;

typedef struct {
    char                       *filename;
    SLOG_recdefs_blist_t        bbuf;
} SLOG_recdefs_buf;


SLOG_recdefs_buf *SLOG_RDEF_Open( const char *recdefs_filename );

int SLOG_RDEF_AddRecDef(       SLOG_recdefs_buf *slog_recdefs,
                         const SLOG_uint32       rectype,
                         const SLOG_uint32       Nassoc,
                         const SLOG_uint32       Nargs );

int SLOG_RDEF_Close( SLOG_recdefs_buf *slog_recdefs );
