import java.io.*;

public class ts_recdefs_read
{
    public static void main( String argv[] ) throws IOException
    {
        File inputfile = new File( "SLOG_RecDefs.dat" );
        FileInputStream in = new FileInputStream( inputfile );
        DataInputStream din = new DataInputStream( in );

        SLOG_RecDefs recdefs = new SLOG_RecDefs();

        recdefs.ReadFromDataStream( din );

        System.out.println( recdefs );

        int rectype = 123;
        System.out.println( "rectype = " + rectype + ",  "
                          + "Nassocs = " + recdefs.NumOfAssocs( rectype ) + ", "
                          + "Nargs   = " + recdefs.NumOfArgs( rectype ) );

        rectype = 137;
        System.out.println( "rectype = " + rectype + ",  "
                          + "Nassocs = " + recdefs.NumOfAssocs( rectype ) + ", "
                          + "Nargs   = " + recdefs.NumOfArgs( rectype ) );

        int idx;
        idx = 39; System.out.println( "idx = " + idx
                                    + ",  " + recdefs.EntryAt( idx ) );
        idx = 40; System.out.println( "idx = " + idx 
                                    + ",  " + recdefs.EntryAt( idx ) );
    }
}
